<?php

require_once dirname (__DIR__) . '/vendor/autoload.php';
session_start();

use \Slim\Slim as Slim;
use Illuminate\Database\Capsule\Manager as DB;
use \gp\controleurs\ControleurPrincipal as ControleurPrincipal;
use \gp\controleurs\ControleurScript as ControleurScript;

$db = new DB();
$db->addConnection(parse_ini_file('../conf/conf.ini'));

$db->setAsGlobal();
$db->bootEloquent();

echo ("<!DOCTYPE html>
<html>
    <body>
    <div>
            <h1> Script TD2 </h1>
            <h2> Consignes : </h2>
            <p> Pour chaque requête, mettre le paramètre dans l'url ?requete='Numero de la requete'</p>
            </div>");
if(isset($_GET['requete']) && $_GET['requete']>0 && $_GET['requete']<=6) {
    echo "<div><center>";
    $nb = $_GET['requete'];
    $c = new ControleurScript();
    $c->setLog(true);
    $function = 'td3_q'. $nb .'b';
    $res = $c->$function();
    if($res != null) {
        foreach ($res as $item) {
            if($nb!=6)
                echo "<p>$item->name</p>";
            else
                echo "<p>$item</p>";
        }
    } else echo "<p>Aucun résultat</p>";
    echo "</center></div>";
    echo "<div>";
    echo $c->getLog();
    echo "</div>";
}
echo ("</body> </html>");